no game in LOVE; ubuntu 13.04

Problems running games? Right in here.
vierama
Posts: 2
Joined: 17 Dec 2013, 23:49
Reputation: 0

Post » 18 Dec 2013, 00:28

i dont know how to run mari0.
i have ubuntu 13.04.
i downloaded mari0-source.zip, and mari0-linux.zip. i extracted them into my folders in my pc.
i dont know what to do next.
i read the forum so i therefore tried to use the commands for the terminal, one by one:
sudo add-apt-repository ppa:bartbes/love-unstable
sudo apt-get update
sudo apt-get install love-unstable
i managed to get a blue ball icon on my panel. when my cursor is put on this, it appers "waiting to install". so i am not sure whether it is installed or not. when i clicked on it, it opens, but it says - NO GAME.
i could not understand the following advice from the forum: "either right-click->open with and then type in "love-unstable" in the command line or run "$ love-unstable [mario-file-name].love" in the folder you have extracted the love file into."
i tried to open the "mari0_1.6.love zip file with LOVE but there was no such application offered in the list of the applications.
i am not skilled in IT nor in linux nor in games, it is just for my son.

Automatik
User avatar
Posts: 1076
Joined: 20 Jul 2012, 17:54
Reputation: 8
Contact:

Post » 18 Dec 2013, 14:26

Ok, first you need either mari0-source.zip or mari0-linux.zip but not both. They basically contain the same things.
So, in your zip you have file named mari0.love . It's the game.
But to run it you need the game engine Löve 0.8.0 . These instructions were to install 0.9.0 . Mari0 don't work with 0.9.0, it just work with 0.8.0 .
First, remove the ppa (Which contains 0.9.0) by typing "sudo ppa-purge ppa:bartbes/love-unstable" then "sudo apt-get update".
To install Löve 0.8.0, just search "love" in the ubuntu software center, or type "sudo apt-get install love" in your terminal.
Then, once it's installed, double click on the mari0.love file you downloaded earlier. And the game should work.

vierama
Posts: 2
Joined: 17 Dec 2013, 23:49
Reputation: 0

Post » 18 Dec 2013, 20:05

thanks.i did the steps, but ubuntu software center contains only LOVE version 0.9.0. neither "sudo apt-get install love" installed the 0.8.0 version, only the 0.9.0 version. where could i get the correct version?

Automatik
User avatar
Posts: 1076
Joined: 20 Jul 2012, 17:54
Reputation: 8
Contact:

Post » 18 Dec 2013, 20:11

Have you removed the ppa?
Type "sudo ppa-purge ppa:bartbes/love-unstable" then "sudo apt-get update".


Return to “Technical support”

Who is online

Users browsing this forum: KRIPO and 1 guest

cron